Question: Installing beadarray
0
gravatar for Krys Kelly
12.0 years ago by
Krys Kelly270
Krys Kelly270 wrote:
Hello I have just installed R 2.6.0. To save space, I usually install packages individually rather than using biocLite(). I installed beadarray and then, when I typed library(beadarray), I got: Error: package 'geneplotter' could not be loaded In addition: Warning message: In library(pkg, character.only = TRUE, logical.return = TRUE, lib.loc = lib.loc) : there is no package called 'geneplotter' So I downloaded geneplotter and installed that. Similarly, I got then got errors in turn for annotate and AnnotationDbi. After I had installed these, I got an error for DBI. But I couldn't find DBI on the Bioconductor website. I thought maybe if I installed Bioconductor using biocLite() this would solve my problem. But I still get an error message: Error: package 'DBI' required by 'AnnotationDbi' could not be found What is this DBI and where can I find it? Or is there something else I need to do to install beadarray? My R session is pasted below with the sessionInfo() at the bottom. Thanks for your help. Krys > package.version("beadarray") [1] "1.6.0" > library(beadarray) Loading required package: limma Error: package 'limma' could not be loaded In addition: Warning message: In library(pkg, character.only = TRUE, logical.return = TRUE, lib.loc = lib.loc) : there is no package called 'limma' > utils:::menuInstallLocal() package 'limma' successfully unpacked and MD5 sums checked updating HTML package descriptions > library(beadarray) Loading required package: limma Loading required package: Biobase Loading required package: tools Welcome to Bioconductor Vignettes contain introductory material. To view, type 'openVignette()'. To cite Bioconductor, see 'citation("Biobase")' and for packages 'citation(pkgname)'. Loading required package: geneplotter Error: package 'geneplotter' could not be loaded In addition: Warning message: In library(pkg, character.only = TRUE, logical.return = TRUE, lib.loc = lib.loc) : there is no package called 'geneplotter' > utils:::menuInstallLocal() package 'geneplotter' successfully unpacked and MD5 sums checked updating HTML package descriptions > library(beadarray) Loading required package: geneplotter Loading required package: annotate Error: package 'annotate' could not be loaded In addition: Warning message: In library(pkg, character.only = TRUE, logical.return = TRUE, lib.loc = lib.loc) : there is no package called 'annotate' > utils:::menuInstallLocal() package 'annotate' successfully unpacked and MD5 sums checked updating HTML package descriptions > library(beadarray) Loading required package: geneplotter Loading required package: annotate Error: package 'AnnotationDbi' required by 'annotate' could not be found > utils:::menuInstallLocal() package 'AnnotationDbi' successfully unpacked and MD5 sums checked updating HTML package descriptions > library(beadarray) Loading required package: geneplotter Loading required package: annotate Loading required package: AnnotationDbi Error: package 'DBI' required by 'AnnotationDbi' could not be found > source("http://bioconductor.org/biocLite.R") > biocLite() Running biocinstall version 2.1.8 with R version 2.6.0 Your version of R requires version 2.1 of Bioconductor. Will install the following packages: [1] "affy" "affydata" "affyPLM" "annaffy" "annotate" [6] "Biobase" "Biostrings" "DynDoc" "gcrma" "genefilter" [11] "geneplotter" "hgu95av2" "limma" "marray" "matchprobes" [16] "multtest" "ROC" "vsn" "xtable" "affyQCReport" Please wait... Warning: packages 'Biobase, limma' are in use and will not be installed also installing the dependencies 'affyio', 'preprocessCore', 'GO', 'KEGG', 'simpleaffy', 'RColorBrewer' trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/aff yio_1. 6.1.zip' Content type 'application/zip' length 129791 bytes (126 Kb) opened URL downloaded 126 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/pre proces sCore_1.0.0.zip' Content type 'application/zip' length 111924 bytes (109 Kb) opened URL downloaded 109 Kb trying URL 'http://bioconductor.org/packages/2.1/data/annotation/bin/windows/cont rib/2. 6/GO_2.0.1.zip' Content type 'application/zip' length 19689821 bytes (18.8 Mb) opened URL downloaded 18.8 Mb trying URL 'http://bioconductor.org/packages/2.1/data/annotation/bin/windows/cont rib/2. 6/KEGG_2.0.1.zip' Content type 'application/zip' length 304136 bytes (297 Kb) opened URL downloaded 297 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/sim pleaff y_2.14.05.zip' Content type 'application/zip' length 835024 bytes (815 Kb) opened URL downloaded 815 Kb trying URL 'http://cran.fhcrc.org/bin/windows/contrib/2.6/RColorBrewer_1.0-2.zip' Content type 'application/zip' length 40461 bytes (39 Kb) opened URL downloaded 39 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/aff y_1.16 .0.zip' Content type 'application/zip' length 2166988 bytes (2.1 Mb) opened URL downloaded 2.1 Mb trying URL 'http://bioconductor.org/packages/2.1/data/experiment/bin/windows/cont rib/2. 6/affydata_1.11.3.zip' Content type 'application/zip' length 9902440 bytes (9.4 Mb) opened URL downloaded 9.4 Mb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/aff yPLM_1 .14.0.zip' Content type 'application/zip' length 6969077 bytes (6.6 Mb) opened URL downloaded 6.6 Mb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/ann affy_1 .10.0.zip' Content type 'application/zip' length 392470 bytes (383 Kb) opened URL downloaded 383 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/ann otate_ 1.16.1.zip' Content type 'application/zip' length 1889235 bytes (1.8 Mb) opened URL downloaded 1.8 Mb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/Bio string s_2.6.3.zip' Content type 'application/zip' length 779408 bytes (761 Kb) opened URL downloaded 761 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/Dyn Doc_1. 16.0.zip' Content type 'application/zip' length 130515 bytes (127 Kb) opened URL downloaded 127 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/gcr ma_2.1 0.0.zip' Content type 'application/zip' length 199643 bytes (194 Kb) opened URL downloaded 194 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/gen efilte r_1.16.0.zip' Content type 'application/zip' length 466940 bytes (455 Kb) opened URL downloaded 455 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/gen eplott er_1.16.0.zip' Content type 'application/zip' length 1760486 bytes (1.7 Mb) opened URL downloaded 1.7 Mb trying URL 'http://bioconductor.org/packages/2.1/data/annotation/bin/windows/cont rib/2. 6/hgu95av2_2.0.1.zip' Content type 'application/zip' length 8322091 bytes (7.9 Mb) opened URL downloaded 7.9 Mb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/mar ray_1. 16.0.zip' Content type 'application/zip' length 5041209 bytes (4.8 Mb) opened URL downloaded 4.8 Mb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/mat chprob es_1.10.0.zip' Content type 'application/zip' length 8143988 bytes (7.8 Mb) opened URL downloaded 7.8 Mb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/mul ttest_ 1.18.0.zip' Content type 'application/zip' length 1654333 bytes (1.6 Mb) opened URL downloaded 1.6 Mb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/ROC _1.12. 0.zip' Content type 'application/zip' length 144305 bytes (140 Kb) opened URL downloaded 140 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/vsn _3.2.1 .zip' Content type 'application/zip' length 1989028 bytes (1.9 Mb) opened URL downloaded 1.9 Mb trying URL 'http://cran.fhcrc.org/bin/windows/contrib/2.6/xtable_1.5-2.zip' Content type 'application/zip' length 232057 bytes (226 Kb) opened URL downloaded 226 Kb trying URL 'http://bioconductor.org/packages/2.1/bioc/bin/windows/contrib/2.6/aff yQCRep ort_1.16.0.zip' Content type 'application/zip' length 182289 bytes (178 Kb) opened URL downloaded 178 Kb package 'affyio' successfully unpacked and MD5 sums checked package 'preprocessCore' successfully unpacked and MD5 sums checked package 'GO' successfully unpacked and MD5 sums checked package 'KEGG' successfully unpacked and MD5 sums checked package 'simpleaffy' successfully unpacked and MD5 sums checked package 'RColorBrewer' successfully unpacked and MD5 sums checked package 'affy' successfully unpacked and MD5 sums checked package 'affydata' successfully unpacked and MD5 sums checked package 'affyPLM' successfully unpacked and MD5 sums checked package 'annaffy' successfully unpacked and MD5 sums checked package 'annotate' successfully unpacked and MD5 sums checked package 'Biostrings' successfully unpacked and MD5 sums checked package 'DynDoc' successfully unpacked and MD5 sums checked package 'gcrma' successfully unpacked and MD5 sums checked package 'genefilter' successfully unpacked and MD5 sums checked package 'geneplotter' successfully unpacked and MD5 sums checked package 'hgu95av2' successfully unpacked and MD5 sums checked package 'marray' successfully unpacked and MD5 sums checked package 'matchprobes' successfully unpacked and MD5 sums checked package 'multtest' successfully unpacked and MD5 sums checked package 'ROC' successfully unpacked and MD5 sums checked package 'vsn' successfully unpacked and MD5 sums checked package 'xtable' successfully unpacked and MD5 sums checked package 'affyQCReport' successfully unpacked and MD5 sums checked The downloaded packages are in C:\Documents and Settings\Krys\Local Settings\Temp\RtmpgBjmPH\downloaded_packages updating HTML package descriptions > library(beadarray) Loading required package: geneplotter Loading required package: annotate Loading required package: AnnotationDbi Error: package 'DBI' required by 'AnnotationDbi' could not be found > sessionInfo() R version 2.6.0 (2007-10-03) i386-pc-mingw32 locale: LC_COLLATE=English_United Kingdom.1252;LC_CTYPE=English_United Kingdom.1252;LC_MONETARY=English_United Kingdom.1252;LC_NUMERIC=C;LC_TIME=English_United Kingdom.1252 attached base packages: [1] tools stats graphics grDevices utils datasets methods base other attached packages: [1] Biobase_1.16.1 limma_2.12.0 > Dr Krystyna A Kelly (Krys) Department of Pathology University of Cambridge, Tennis Court Road, Cambridge CB2 1QP Tel: 01223 333331 and MRC Biostatistics Unit Institute of Public Health, Robinson Way, Cambridge CB2 0SR Tel: 01223 767408 Email: kak28 at cam.ac.uk
ADD COMMENTlink modified 12.0 years ago by Sean Davis21k • written 12.0 years ago by Krys Kelly270
Answer: Installing beadarray
0
gravatar for Sean Davis
12.0 years ago by
Sean Davis21k
United States
Sean Davis21k wrote:
Krys Kelly wrote: > Hello > > I have just installed R 2.6.0. To save space, I usually install packages > individually rather than using biocLite(). I installed beadarray and then, > when I typed library(beadarray), I got: Hi, Krys. You'll ALWAYS want to use biocLite. It saves quite a few headaches, in the end. In addition to what you have done so far, you will need to do: biocLite('beadarray') That should then install beadarray and the necessary accessory packages, including DBI. If that doesn't do it for you, let us know. Sean
ADD COMMENTlink written 12.0 years ago by Sean Davis21k
Dear Joern, Sean I did > biocLite("beadarray", dependencies=TRUE) As suggested by Joern, and lots of things got installed. But then I got: > library(beadarray) Loading required package: geneplotter Loading required package: annotate Loading required package: AnnotationDbi Error: package 'RSQLite' required by 'AnnotationDbi' could not be found So I did: > biocLite("RSQLite") and it all seems to be OK now. I guess I liked installing packages and their dependencies myself and never had a problem before, but I'll do as you suggest from now on to save the headaches. Thanks Krys -----Original Message----- From: Sean Davis [mailto:sdavis2@mail.nih.gov] Sent: 01 November 2007 16:57 To: Krys Kelly Cc: bioconductor at stat.math.ethz.ch Subject: Re: [BioC] Installing beadarray Krys Kelly wrote: > Hello > > I have just installed R 2.6.0. To save space, I usually install packages > individually rather than using biocLite(). I installed beadarray and then, > when I typed library(beadarray), I got: Hi, Krys. You'll ALWAYS want to use biocLite. It saves quite a few headaches, in the end. In addition to what you have done so far, you will need to do: biocLite('beadarray') That should then install beadarray and the necessary accessory packages, including DBI. If that doesn't do it for you, let us know. Sean
ADD REPLYlink written 12.0 years ago by Krys Kelly270
The space saving only really pops up when you do a biocLite(groupName) because that installs a "group" of packages, some of which you might not need. biocLite("SOMEPACKAGE") only installs what you need. In your case everything went haywire because the packages you need are dependencies of dependencies. biocLite checks this, but since you just do "beadarray", biocLite just checks whether (pseudocode) dependencies("beadarray") are installed - which they are. It never checks dependencies(dependencies("beadarray")) If you had done this using biocLite from the beginning, you would not have had this problem. Having said that, perhaps the time is ripe to look into this second layer dependency issue. Kasper On Nov 1, 2007, at 10:06 AM, Krys Kelly wrote: > Dear Joern, Sean > > I did > >> biocLite("beadarray", dependencies=TRUE) > > As suggested by Joern, and lots of things got installed. > > But then I got: > >> library(beadarray) > Loading required package: geneplotter > Loading required package: annotate > Loading required package: AnnotationDbi > Error: package 'RSQLite' required by 'AnnotationDbi' could not be > found > > So I did: >> biocLite("RSQLite") > > and it all seems to be OK now. > > I guess I liked installing packages and their dependencies myself > and never > had a problem before, but I'll do as you suggest from now on to > save the > headaches. > > Thanks > > Krys > > > > -----Original Message----- > From: Sean Davis [mailto:sdavis2 at mail.nih.gov] > Sent: 01 November 2007 16:57 > To: Krys Kelly > Cc: bioconductor at stat.math.ethz.ch > Subject: Re: [BioC] Installing beadarray > > Krys Kelly wrote: >> Hello >> >> I have just installed R 2.6.0. To save space, I usually install >> packages >> individually rather than using biocLite(). I installed beadarray and > then, >> when I typed library(beadarray), I got: > > Hi, Krys. > > You'll ALWAYS want to use biocLite. It saves quite a few > headaches, in > the end. In addition to what you have done so far, you will need > to do: > > biocLite('beadarray') > > That should then install beadarray and the necessary accessory > packages, > including DBI. If that doesn't do it for you, let us know. > > Sean > > _______________________________________________ > Bioconductor mailing list > Bioconductor at stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: http://news.gmane.org/ > gmane.science.biology.informatics.conductor
ADD REPLYlink written 12.0 years ago by Kasper Daniel Hansen6.4k
Answer: Installing beadarray
0
gravatar for Joern Toedling
12.0 years ago by
Joern Toedling720 wrote:
Hello, the call "biocLite()" just installs the basic Bioconductor packages. However, this function can also be used to install other packages from Bioconductor and CRAN (the major archive of non-Bioconductor extension packages). Try biocLite("beadarray", dependencies=TRUE) # or biocLite("DBI") to get the package "DBI" directly. You can also find the CRAN packages via the web, for example at http://www.stats.bris.ac.uk/R/ follow the link "Contributed extension packages" and look for "DBI". Regards, Joern Krys Kelly wrote: > Hello > > I have just installed R 2.6.0. To save space, I usually install packages > individually rather than using biocLite(). I installed beadarray and then, > when I typed library(beadarray), I got: > > Error: package 'geneplotter' could not be loaded > In addition: Warning message: > In library(pkg, character.only = TRUE, logical.return = TRUE, lib.loc = > lib.loc) : > there is no package called 'geneplotter' > > So I downloaded geneplotter and installed that. Similarly, I got then got > errors in turn for annotate and AnnotationDbi. After I had installed these, > I got an error for DBI. But I couldn't find DBI on the Bioconductor website. > > I thought maybe if I installed Bioconductor using biocLite() this would > solve my problem. But I still get an error message: > > Error: package 'DBI' required by 'AnnotationDbi' could not be found > > What is this DBI and where can I find it? Or is there something else I need > to do to install beadarray? > > My R session is pasted below with the sessionInfo() at the bottom. > > Thanks for your help. > > Krys >
ADD COMMENTlink written 12.0 years ago by Joern Toedling720
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 376 users visited in the last hour